Capture a new thread dump for the given instance
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_id}/thread_dump/_capture
Captures a new thread dump for the given instance and returns the thread dump contents.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
resource_kindstringrequired -
The kind of resource (one of elasticsearch, kibana or apm).
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
-
instance_idstringrequired -
The instance identifier
Responses
The thread dump contents
Response Type: string
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The specified instance cannot be found. (code:
deployments.instance_not_found_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response